Subject: Re: Is -mno-cygwin support being removed????
From: Carl Thompson <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Tue, 13 Jun 2000 13:16:50 -0700

"Larry Hall (RFK Partners, Inc)" wrote:
> 
> At 01:02 PM 6/13/2000, Carl Thompson wrote:
> >depend on it.  I certainly would not say "well, I don't feel like
> >fixing my bug myself because you and your code are not important to
> >me so you should fix my code for me and if your fix is up to my
> >standards I might consider incoporating it."  I hear a lot of that
> >here.
> 
> Funny,  I've been on this list for at least 5 years and I've never
> seen this response in any of the messages I've read.

A previous post in this thread asserted that because lots of people weren't
complaining about this it wasn't important.  Your previous post asserted
that if I didn't like it "you can fix it yourself."  It's true that in this
particular thread, no one said both at once but I have certainly seen that
before on this list, certainly within the last 24 hours!

> >Not all Cygwin developers want to develop Cygwin.
> 
> A given.  But those who don't should not feel that its their
> prerogative to lambaste those who do develop Cygwin because something
> doesn't work and isn't fixed in their required time-frame.  As I'm
> sure you're aware, there is ALWAYS some problem that someone needs
> quickly.  The Cygwin team is small and can't always respond to all of
> them.

The Cygwin developers won't know what problems are important to people
unless we complain about it.  This problem is very important to me so I will
complain loudly.  That's the way it works.

> >Personally, I feel that if you release something to the open source
> >community and ask people to use it, then you have a social obligation
> >to the community to keep that product working reasonably, and that
> >includes the timely fixing of bugs that don't affect you personally. 
> >But that's just me, I guess.
> 
> I think you and Bruce are reading *WAY* too much into this.  The
> simple fact is that the person (Mumit Khan) primarily responsible for
> maintaining gcc for Cygwin is unavailable at this point.  From what
> I've heard, he won't be available until mid-month.  Allot of things
> are anxiously awaiting his return.  This is one of them.

It must be that Mumit Khan has been away for a very long time because this
has been broken for months.

> It seems inappropriate to me to assume that reports of problems are
> ignored and clandestine plots are arising just because someone hasn't
> posted a fix for the problem you found within a some specific
> time-frame of its report.  I'm sure everyone would like to see fixes
> flow very quickly.  Its just not always possible.  It doesn't mean
> some evil plot is brewing however or that the idea is to ignore
> complaints from users.

I agree with you.  I don't think there is any plot.  I do believe that the
Cygwin team isn't being particularly responsive to the needs of some of
their users by allowing the "-mno-cygwin" feature to be broken for this
long.  I don't think a months long wait for a fix for something that used to
work is reasonable, though.
 
> I don't think anyone wants people using Cygwin to have problems.  From
> what I've seen, the Cygwin team does a great job delivering new
> functionality and managing bugs.  It seems more productive to me to
> help foster an environment that promotes continued improvements and
> work than to chastise those who have been working long and hard to
> give you what you've been using.

Agreed.  The Cygwin team has done a fantastic job making Windows easier to
work with for POSIX programmers.  I am just saying that I don't like it that
a feature that I have relied on has remained broken for so long. 

I don't agree that just because Cygwin is a great free product and the
developers are selflessly helping the developer community that I shouldn't
voice my complaints nor criticize things that I think are bad.
 
> If this thread needs to continue on its current vein, its probably
> best to take it off-line.  I don't mind debating the merits or
> demerits of the Cygwin development model and approach but there's
> probably little benefit to weighing down the Cygwin list with the
> discussion.

I don't think it's fair for you to voice your opinion on-line, but tell
others that they shouldn't respond to it on-line.

I think our basic difference is that you have a "be happy with the cards
your dealt" mentality, but I have a "the squeaky wheel gets the grease"
mentality.  Both points of view are valid, but don't insist that I be like
you.
 
> Larry Hall                              [email-masked]

Carl Thompson

--
Want to unsubscribe from this list?
Send a message to [email-masked]